#ifndef __MENU_MENU_H
#define __MENU_MENU_H


#include <stdint.h>



#define MENU_ENTRIES        6



typedef struct MenuItem {
    const char *title;
    void (*dispfn)();
} MenuItem;



extern const MenuItem menuitem[MENU_ENTRIES];

extern uint16_t app_counter;
extern uint32_t app_uptime;

extern uint8_t  app_blackout;



void menu_init();
void menu_tick();

void menu_btn_init();



#endif // __MENU_MENU_H